Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo
Class IUnit

    java.lang.Object
      igeo.IUnit

    public class IUnit

extends java.lang.Object

Unit of geometries in a server

Author:
  Satoru Sugihara

Nested Class Summary
`static class` | `IUnit.Type`

Field Summary
`static IUnit.Type` | `angstrom`
`static IUnit.Type` | `Angstrom`
`static IUnit.Type` | `angstroms`
`static IUnit.Type` | `Angstroms`
`static IUnit.Type` | `astronomicalunit`
`static IUnit.Type` | `AstronomicalUnit`
`static IUnit.Type` | `astronomicalunits`
`static IUnit.Type` | `AstronomicalUnits`
`static IUnit.Type` | `centimeter`
`static IUnit.Type` | `Centimeter`
`static IUnit.Type` | `centimeters`
`static IUnit.Type` | `Centimeters`
`static IUnit.Type` | `customunit`
`static IUnit.Type` | `CustomUnit`
`static IUnit.Type` | `customunits`
`static IUnit.Type` | `CustomUnits`
`static IUnit.Type` | `decimeter`
`static IUnit.Type` | `Decimeter`
`static IUnit.Type` | `decimeters`
`static IUnit.Type` | `Decimeters`
`static IUnit.Type` | `dekameter`
`static IUnit.Type` | `Dekameter`
`static IUnit.Type` | `dekameters`
`static IUnit.Type` | `Dekameters`
`static IUnit.Type` | `feet`
`static IUnit.Type` | `Feet`
`static IUnit.Type` | `foot`
`static IUnit.Type` | `Foot`
`static IUnit.Type` | `gigameter`
`static IUnit.Type` | `Gigameter`
`static IUnit.Type` | `gigameters`
`static IUnit.Type` | `Gigameters`
`static IUnit.Type` | `hectometer`
`static IUnit.Type` | `Hectometer`
`static IUnit.Type` | `hectometers`
`static IUnit.Type` | `Hectometers`
`static IUnit.Type` | `inch`
`static IUnit.Type` | `Inche`
`static IUnit.Type` | `inches`
`static IUnit.Type` | `Inches`
`static IUnit.Type` | `kilometer`
`static IUnit.Type` | `Kilometer`
`static IUnit.Type` | `kilometers`
`static IUnit.Type` | `Kilometers`
`static IUnit.Type` | `lightyear`
`static IUnit.Type` | `Lightyear`
`static IUnit.Type` | `lightyears`
`static IUnit.Type` | `Lightyears`
`static IUnit.Type` | `megameter`
`static IUnit.Type` | `Megameter`
`static IUnit.Type` | `megameters`
`static IUnit.Type` | `Megameters`
`static IUnit.Type` | `meter`
`static IUnit.Type` | `Meter`
`static IUnit.Type` | `meters`
`static IUnit.Type` | `Meters`
`static IUnit.Type` | `microinche`
`static IUnit.Type` | `Microinche`
`static IUnit.Type` | `microinches`
`static IUnit.Type` | `Microinches`
`static IUnit.Type` | `micron`
`static IUnit.Type` | `Micron`
`static IUnit.Type` | `microns`
`static IUnit.Type` | `Microns`
`static IUnit.Type` | `mil`
`static IUnit.Type` | `Mil`
`static IUnit.Type` | `mile`
`static IUnit.Type` | `Mile`
`static IUnit.Type` | `miles`
`static IUnit.Type` | `Miles`
`static IUnit.Type` | `millimeter`
`static IUnit.Type` | `Millimeter`
`static IUnit.Type` | `millimeters`
`static IUnit.Type` | `Millimeters`
`static IUnit.Type` | `mils`
`static IUnit.Type` | `Mils`
`static IUnit.Type` | `nanometer`
`static IUnit.Type` | `Nanometer`
`static IUnit.Type` | `nanometers`
`static IUnit.Type` | `Nanometers`
`static IUnit.Type` | `nauticalmile`
`static IUnit.Type` | `NauticalMile`
`static IUnit.Type` | `nauticalmiles`
`static IUnit.Type` | `NauticalMiles`
`static IUnit.Type` | `nounit`
`static IUnit.Type` | `NoUnit`
`static IUnit.Type` | `nounits`
`static IUnit.Type` | `NoUnits`
`static IUnit.Type` | `parsec`
`static IUnit.Type` | `Parsec`
`static IUnit.Type` | `parsecs`
`static IUnit.Type` | `Parsecs`
`static IUnit.Type` | `pica`
`static IUnit.Type` | `Pica`
`static IUnit.Type` | `picas`
`static IUnit.Type` | `Picas`
`static IUnit.Type` | `point`
`static IUnit.Type` | `Point`
`static IUnit.Type` | `points`
`static IUnit.Type` | `Points`
`IUnit.Type` | `type`
`static IUnit.Type` | `yard`
`static IUnit.Type` | `Yard`
`static IUnit.Type` | `yards`
`static IUnit.Type` | `Yards`

Constructor Summary
`IUnit()`
`IUnit(IUnit.Type type)`
`IUnit(java.lang.String name)`

Method Summary
`static java.lang.String` | `name(IUnit.Type unit)`
`static double` | `scale(IUnit.Type unit)`
`java.lang.String` | `toString()`
`static IUnit.Type` | `type(java.lang.String name)` convert name to type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### NoUnits

    public static final IUnit.Type NoUnits

### Angstroms

    public static final IUnit.Type Angstroms

### Nanometers

    public static final IUnit.Type Nanometers

### Microns

    public static final IUnit.Type Microns

### Millimeters

    public static final IUnit.Type Millimeters

### Centimeters

    public static final IUnit.Type Centimeters

### Decimeters

    public static final IUnit.Type Decimeters

### Meters

    public static final IUnit.Type Meters

### Dekameters

    public static final IUnit.Type Dekameters

### Hectometers

    public static final IUnit.Type Hectometers

### Kilometers

    public static final IUnit.Type Kilometers

### Megameters

    public static final IUnit.Type Megameters

### Gigameters

    public static final IUnit.Type Gigameters

### Microinches

    public static final IUnit.Type Microinches

### Mils

    public static final IUnit.Type Mils

### Inches

    public static final IUnit.Type Inches

### Feet

    public static final IUnit.Type Feet

### Yards

    public static final IUnit.Type Yards

### Miles

    public static final IUnit.Type Miles

### Points

    public static final IUnit.Type Points

### Picas

    public static final IUnit.Type Picas

### NauticalMiles

    public static final IUnit.Type NauticalMiles

### AstronomicalUnits

    public static final IUnit.Type AstronomicalUnits

### Lightyears

    public static final IUnit.Type Lightyears

### Parsecs

    public static final IUnit.Type Parsecs

### CustomUnits

    public static final IUnit.Type CustomUnits

### NoUnit

    public static final IUnit.Type NoUnit

### Angstrom

    public static final IUnit.Type Angstrom

### Nanometer

    public static final IUnit.Type Nanometer

### Micron

    public static final IUnit.Type Micron

### Millimeter

    public static final IUnit.Type Millimeter

### Centimeter

    public static final IUnit.Type Centimeter

### Decimeter

    public static final IUnit.Type Decimeter

### Meter

    public static final IUnit.Type Meter

### Dekameter

    public static final IUnit.Type Dekameter

### Hectometer

    public static final IUnit.Type Hectometer

### Kilometer

    public static final IUnit.Type Kilometer

### Megameter

    public static final IUnit.Type Megameter

### Gigameter

    public static final IUnit.Type Gigameter

### Microinche

    public static final IUnit.Type Microinche

### Mil

    public static final IUnit.Type Mil

### Inche

    public static final IUnit.Type Inche

### Foot

    public static final IUnit.Type Foot

### Yard

    public static final IUnit.Type Yard

### Mile

    public static final IUnit.Type Mile

### Point

    public static final IUnit.Type Point

### Pica

    public static final IUnit.Type Pica

### NauticalMile

    public static final IUnit.Type NauticalMile

### AstronomicalUnit

    public static final IUnit.Type AstronomicalUnit

### Lightyear

    public static final IUnit.Type Lightyear

### Parsec

    public static final IUnit.Type Parsec

### CustomUnit

    public static final IUnit.Type CustomUnit

### nounits

    public static final IUnit.Type nounits

### angstroms

    public static final IUnit.Type angstroms

### nanometers

    public static final IUnit.Type nanometers

### microns

    public static final IUnit.Type microns

### millimeters

    public static final IUnit.Type millimeters

### centimeters

    public static final IUnit.Type centimeters

### decimeters

    public static final IUnit.Type decimeters

### meters

    public static final IUnit.Type meters

### dekameters

    public static final IUnit.Type dekameters

### hectometers

    public static final IUnit.Type hectometers

### kilometers

    public static final IUnit.Type kilometers

### megameters

    public static final IUnit.Type megameters

### gigameters

    public static final IUnit.Type gigameters

### microinches

    public static final IUnit.Type microinches

### mils

    public static final IUnit.Type mils

### inches

    public static final IUnit.Type inches

### feet

    public static final IUnit.Type feet

### yards

    public static final IUnit.Type yards

### miles

    public static final IUnit.Type miles

### points

    public static final IUnit.Type points

### picas

    public static final IUnit.Type picas

### nauticalmiles

    public static final IUnit.Type nauticalmiles

### astronomicalunits

    public static final IUnit.Type astronomicalunits

### lightyears

    public static final IUnit.Type lightyears

### parsecs

    public static final IUnit.Type parsecs

### customunits

    public static final IUnit.Type customunits

### nounit

    public static final IUnit.Type nounit

### angstrom

    public static final IUnit.Type angstrom

### nanometer

    public static final IUnit.Type nanometer

### micron

    public static final IUnit.Type micron

### millimeter

    public static final IUnit.Type millimeter

### centimeter

    public static final IUnit.Type centimeter

### decimeter

    public static final IUnit.Type decimeter

### meter

    public static final IUnit.Type meter

### dekameter

    public static final IUnit.Type dekameter

### hectometer

    public static final IUnit.Type hectometer

### kilometer

    public static final IUnit.Type kilometer

### megameter

    public static final IUnit.Type megameter

### gigameter

    public static final IUnit.Type gigameter

### microinche

    public static final IUnit.Type microinche

### mil

    public static final IUnit.Type mil

### inch

    public static final IUnit.Type inch

### foot

    public static final IUnit.Type foot

### yard

    public static final IUnit.Type yard

### mile

    public static final IUnit.Type mile

### point

    public static final IUnit.Type point

### pica

    public static final IUnit.Type pica

### nauticalmile

    public static final IUnit.Type nauticalmile

### astronomicalunit

    public static final IUnit.Type astronomicalunit

### lightyear

    public static final IUnit.Type lightyear

### parsec

    public static final IUnit.Type parsec

### customunit

    public static final IUnit.Type customunit

### type

    public IUnit.Type type

Constructor Detail

### IUnit

    public IUnit()

### IUnit

    public IUnit(IUnit.Type type)

### IUnit

    public IUnit(java.lang.String name)

Method Detail

### scale

    public static double scale(IUnit.Type unit)

### name

    public static java.lang.String name(IUnit.Type unit)

### type

    public static IUnit.Type type(java.lang.String name)

  convert name to type

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD